libvorbis documentation | libvorbis version 1.3.2 - 20101101

# vorbis_analysis_blockout

declared in "vorbis/codec.h";

This fuction examines the available uncompressed data and tries to break it into appropriate sized blocks. It should be called in a loop after adding new data with vorbis_analysis_buffer()/vorbis_analysis_wrote() until it returns zero (need more data) or an negative value (error).

Each block returned should be passed to vorbis_analysis() for transform and coding.

    extern int      vorbis_analysis_blockout(vorbis_dsp_state *v,vorbis_block *vb);

### Parameters

v
  Pointer to the vorbis_dsp_state representing the encoder.
vb
  Pointer to a previously initialized vorbis_block object to hold the returned data.

### Return Values

- 1 for success when more blocks are available.
- 0 for success when this is the last block available from the current input.
- negative values for failure:
  - OV_EINVAL - Invalid parameters.
  - OV_EFAULT - Internal fault; indicates a bug or memory corruption.
  - OV_EIMPL - Unimplemented; not supported by this version of the library.

copyright © 2010 Xiph.Org | Ogg Vorbis
libvorbis documentation | libvorbis version 1.3.2 - 20101101